package com.rjconsultores.ventaboletos.relatorios.utilitarios;

import java.math.BigDecimal;
import java.util.Date;

public class RelatorioMensalDAERBean {
	private Integer corridaId;
	private String fecHorSalida;
	private String fecMinSalida;
	private String fecHorInicio;
	private String fecMinInicio;
	private String empresaId;
	private Date fecCorrida;
	private String indSentidoIda;
	private String numRuta;
	private String modal;
	private String catVeiculo;
	private Integer codDER;
	private Integer qtdServNormal;
	private Integer qtdServExtra;
	private Integer qtdBilhetes;
	private BigDecimal manifBilhetes;
	private Integer encomendas;
	private BigDecimal comissaoPassagem;
	private BigDecimal comissaoEncomenda;
	private BigDecimal taxaFiscalizacao;
	private BigDecimal taxaManutencao;

	public String getEmpresaId() {
		return empresaId;
	}

	public void setEmpresaId(String empresaId) {
		this.empresaId = empresaId;
	}

	public Integer getCorridaId() {
		return corridaId;
	}
	
	public RelatorioMensalDAERBean(Integer corridaId) {
		this.corridaId = corridaId;
	}

	public void setCorridaId(Integer corridaId) {
		this.corridaId = corridaId;
	}

	public String getFecHorSalida() {
		return fecHorSalida;
	}

	public void setFecHorSalida(String fecHorSalida) {
		this.fecHorSalida = fecHorSalida;
	}

	public String getFecHorInicio() {
		return fecHorInicio;
	}

	public void setFecHorInicio(String fecHorInicio) {
		this.fecHorInicio = fecHorInicio;
	}

	public String getFecMinSalida() {
		return fecMinSalida;
	}

	public void setFecMinSalida(String fecMinSalida) {
		this.fecMinSalida = fecMinSalida;
	}

	public String getFecMinInicio() {
		return fecMinInicio;
	}

	public void setFecMinInicio(String fecMinInicio) {
		this.fecMinInicio = fecMinInicio;
	}

	public Date getFecCorrida() {
		return fecCorrida;
	}

	public void setFecCorrida(Date fecCorrida) {
		this.fecCorrida = fecCorrida;
	}

	public String getIndSentidoIda() {
		return indSentidoIda;
	}

	public void setIndSentidoIda(String indRentidoIda) {
		this.indSentidoIda = indRentidoIda;
	}

	public String getNumRuta() {
		return numRuta;
	}

	public void setNumRuta(String numRuta) {
		this.numRuta = numRuta;
	}

	public String getModal() {
		return modal;
	}

	public void setModal(String modal) {
		this.modal = modal;
	}

	public String getCatVeiculo() {
		return catVeiculo;
	}

	public void setCatVeiculo(String catVeiculo) {
		this.catVeiculo = catVeiculo;
	}

	public Integer getCodDER() {
		return codDER;
	}

	public void setCodDER(Integer codDER) {
		this.codDER = codDER;
	}

	public Integer getQtdServNormal() {
		return qtdServNormal;
	}

	public void setQtdServNormal(Integer qtdServNormal) {
		this.qtdServNormal = qtdServNormal;
	}

	public Integer getQtdServExtra() {
		return qtdServExtra;
	}

	public void setQtdServExtra(Integer qtdServExtra) {
		this.qtdServExtra = qtdServExtra;
	}

	public Integer getQtdBilhetes() {
		return qtdBilhetes;
	}

	public void setQtdBilhetes(Integer qtdBilhetes) {
		this.qtdBilhetes = qtdBilhetes;
	}

	public BigDecimal getManifBilhetes() {
		return manifBilhetes;
	}

	public void setManifBilhetes(BigDecimal manifBilhetes) {
		this.manifBilhetes = manifBilhetes;
	}

	public Integer getEncomendas() {
		return encomendas;
	}

	public void setEncomendas(Integer encomendas) {
		this.encomendas = encomendas;
	}

	public BigDecimal getTaxaFiscalizacao() {
		return taxaFiscalizacao;
	}

	public void setTaxaFiscalizacao(BigDecimal taxaFiscalizacao) {
		this.taxaFiscalizacao = taxaFiscalizacao;
	}

	public BigDecimal getTaxaManutencao() {
		return taxaManutencao;
	}

	public void setTaxaManutencao(BigDecimal taxaManutencao) {
		this.taxaManutencao = taxaManutencao;
	}

	public BigDecimal getComissaoPassagem() {
		return comissaoPassagem;
	}

	public void setComissaoPassagem(BigDecimal comissaoPassagem) {
		this.comissaoPassagem = comissaoPassagem;
	}

	public BigDecimal getComissaoEncomenda() {
		return comissaoEncomenda;
	}

	public void setComissaoEcomenda(BigDecimal comissaoEncomenda) {
		this.comissaoEncomenda = comissaoEncomenda;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((corridaId == null) ? 0 : corridaId.hashCode());
		return result;
	}
	
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		RelatorioMensalDAERBean other = (RelatorioMensalDAERBean) obj;
		if (corridaId == null) {
			if (other.corridaId != null)
				return false;
		} else if (!corridaId.equals(other.corridaId))
			return false;
		return true;
	}

}
